OPTIONS NODATE obs=max;
proc dbf db4=holldat2 out=b;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
entarea = entw * enth;
if entw gt 5.5 then delete;
*if ht lt 0.5 then delete;
holvol = (width / 2) * (width / 2) * 3.1416 * depth;
if holvol lt 7213 then dclass = 0;
else dclass = 1;
title 'brush-tailed phascogale';
proc print; var entw holvol dclass width depth; run;
proc freq; tables dclass; run;
