OPTIONS NODATE obs=max;
proc dbf db4=holldat2 out=b;

data holl1; set b;
if burn = "" then delete;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 6 then btp = 0; if entw gt 49 then btp = 0;
if ht lt 0.5 then btp = 0;
if width lt 8 then btp = 0; if width gt 48 then  btp = 0;

*if depth lt 67.8 then dclass = 0;
title 'brush-tailed possum';
proc freq; tables btp*burn; run;

data holl1; set b;
if burn = "" then delete;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 14.7 then btp = 0; if entw gt 53.5 then btp = 0;
if ht lt 4.4 then btp = 0;
if width lt 19 then btp = 0; if width gt 54 then btp = 0;

*if depth lt 45 or depth gt 725 then dclass = 0;
title 'red-tailed black cockatoo';
proc freq; tables btp*burn; run;

data holl1; set b;
if burn = "" then delete;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 10.5 then btp = 0; if entw gt 40 then btp = 0;
if ht lt 14.3 then btp = 0;
if width lt 14 then btp = 0; if width gt 40 then btp = 0;

*if depth lt 45 or depth gt 453 then dclass = 0;
title 'corellas';
proc freq; tables btp*burn; run;

data holl1; set b;
if burn = "" then delete;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 6.5 then btp = 0; if entw gt 30 then btp = 0;
if ht lt 4.7 then btp = 0;
if width lt 10 then btp = 0; if width gt 31 then btp = 0;

*if depth lt 32 or depth gt 377 then dclass = 0;
title 'galah';
proc freq; tables btp*burn; run;

data holl1; set b;
if burn = "" then delete;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 6.5 then btp = 0; if entw gt 25 then btp = 0;
if ht lt 5.3 then btp = 0;
if width lt 9 then btp = 0; if width gt 17.5 then btp = 0;

*if depth lt 45 or depth gt 213 then dclass = 0;
title 'port lincoln parrot';
proc freq; tables btp*burn; run;

data holl1; set b;
if burn = "" then delete;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 2.4 then btp = 0; if entw gt 6 then btp = 0;
if ht lt 10 then btp = 0;
if width lt 2.4 then btp = 0; if width gt 6 then btp = 0;

*if depth lt 9 or depth gt 35 then dclass = 0;
title 'striated pardalote';
proc freq; tables btp*burn; run;

data holl1; set b;
if burn = "" then delete;
if burn = 'Y' then b = 1;
if burn = 'N' then b = 0;
if stand = 1 then precip = 1050;
if stand = 2 then precip = 950;
if stand = 3 then precip = 950;
if stand = 4 then precip = 850;
if stand = 5 then precip = 850;
if stand = 6 then precip = 1050;
if stand = 7 then precip = 800;
if stand = 8 then precip =  875;
if stand = 9 then precip = 1150;

proc LOGISTIC; MODEL b=  ht;
proc ttest; class b; var
precip ht; run;
